Module java.xml.crypto
Package javax.xml.crypto.dom

## Interface DOMURIReference

- All Superinterfaces:
    `URIReference`

      public interface DOMURIReference
      extends URIReference

  A DOM-specific `URIReference`. The purpose of this class is to provide additional context necessary for resolving XPointer URIs or same-document references.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Node` | `getHere()` | Returns the here node.

    - ### Methods declared in interface javax.xml.crypto.URIReference

      `getType, getURI`

- - ### Method Detail

    - #### getHere

          Node getHere()

      Returns the here node.
      Returns:
        the attribute or processing instruction node or the parent element of the text node that directly contains the URI